Изменить группу политик (admin)
Частичное обновление: name, description, UI-метаданные (logoUri/color/emoji; null — очистить). code и vaultId неизменяемы — на code ссылаются селекторы actorRole.groupCodes.
curl -X PATCH "https://policy-engine-rest.ezig.workers.dev/api/v1/policy-groups/example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"name": "John Doe",
"description": "example_string",
"logoUri": "example_string",
"color": "example_string",
"emoji": "example_string"
}'
import requests
import json
url = "https://policy-engine-rest.ezig.workers.dev/api/v1/policy-groups/example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"name": "John Doe",
"description": "example_string",
"logoUri": "example_string",
"color": "example_string",
"emoji": "example_string"
}
response = requests.patch(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://policy-engine-rest.ezig.workers.dev/api/v1/policy-groups/example_string", {
method: "PATCH",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"name": "John Doe",
"description": "example_string",
"logoUri": "example_string",
"color": "example_string",
"emoji": "example_string"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"name": "John Doe",
"description": "example_string",
"logoUri": "example_string",
"color": "example_string",
"emoji": "example_string"
}`)
req, err := http.NewRequest("PATCH", "https://policy-engine-rest.ezig.workers.dev/api/v1/policy-groups/example_string", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://policy-engine-rest.ezig.workers.dev/api/v1/policy-groups/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"name": "John Doe",
"description": "example_string",
"logoUri": "example_string",
"color": "example_string",
"emoji": "example_string"
}'
response = http.request(request)
puts response.body
{
"id": "cmr3f41z20001psp7phmyapw3",
"vaultId": "example_string",
"code": "traders",
"name": "John Doe",
"description": "example_string",
"logoUri": "example_string",
"color": "#0A84FF",
"emoji": "👥",
"createdAt": "2026-07-02T11:25:15.134Z",
"updatedAt": "2026-07-02T11:25:15.134Z"
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
{
"error": "Internal Server Error",
"message": "An unexpected error occurred on the server",
"code": 500,
"requestId": "req_1234567890"
}
PATCH
/api/v1/policy-groups/{id}PATCH
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token
Bearer Tokenstring
Requiredbetter-auth session token. Мобилка/сервисы. Веб использует cookie.
better-auth session token. Мобилка/сервисы. Веб использует cookie.
API Key (cookie: better-auth.session_token)
better-auth.session_tokenstring
RequiredAPI key (sent in cookie)
Content-Typestring
RequiredThe media type of the request body
Options: application/json
namestring
Min length: 1
logoUristring
null — убрать логотип
colorstring
null — убрать цвет
emojistring
null — убрать emoji
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. better-auth session token. Мобилка/сервисы. Веб использует cookie.
path
parameterstring
RequiredAPI Key for authentication. Provide your API key in the cookie.
Path Parameters
Body
application/json
logoUristring
null — убрать логотип
colorstring
null — убрать цвет
emojistring
null — убрать emoji
Responses
idstring
Requiredcuid
vaultIdstring
Requiredcodestring
Requirednamestring
Requireddescriptionstring
RequiredlogoUristring
Requiredcolorstring
Requiredemojistring
RequiredcreatedAtstring
RequiredupdatedAtstring
RequiredWas this page helpful?